Subject: bug#27305: terminology: sudo unable to function

From: ng0 <[email-masked]>
Date: Sat, 10 Jun 2017 12:29:07 +0000

While insinde E21 / Enlightenment I can run sudo emacs /bare-bones.scm
in xterm and in rxvt-unicode without errors and with expected behavior,
but inside terminology it produces this:

user@abyayala ~$ sudo emacs /bare-bones.scm
sudo: effective uid is not 0, is /run/setuid-programs/sudo on a file system with the 'nosuid' option set or an NFS file system without root privileges?
user@abyayala ~$

I've seen an sudo programm (module) for Enlightenment, but running a
command in terminal emulator should't require a graphical sudo.
I don't know what's wrong here.
-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588